/*-----------------------------------*\
    STILSKI VODIČ
\*-----------------------------------*/

:root {

    /**
   * colors
   */


    --bg-header: #15507A;
    --clr-primary: #99EDFF;
    --clr-secondary: #123346;
    --clr-accent: #03DF62;

    --sky-blue-crayola: hsl(188, 64%, 60%);
    --raisin-black_90: hsla(240, 8%, 12%, 0.9);
    --raisin-black-1: hsl(240, 8%, 17%);
    --raisin-black-2: hsl(240, 8%, 12%);
    --majorelle-blue: hsl(241, 77%, 63%);
    --blue-ryb_80: hsla(241, 88%, 60%, 0.8);
    --bittersweet: hsl(0, 100%, 69%);
    --eerie-black: hsl(0, 0%, 13%);
    --ghost-white: hsl(230, 60%, 98%);
    --light-gray: hsl(0, 0%, 80%);
    --slate-gray: hsl(225, 8%, 48%);
    --cool-gray: hsl(225, 11%, 59%);
    --gainsboro: hsl(217, 16%, 90%);
    --mustard: hsl(47, 100%, 69%);
    --white: hsl(0, 0%, 100%);
    --black: hsl(0, 0%, 0%);
    --onyx: hsl(240, 5%, 26%);
    --jet: hsl(0, 0%, 21%);

    /**
   * gradient
   */

    --gradient: radial-gradient(ellipse at center, hsla(0, 0%, 0%, 0.25), transparent 80%);

    /**
   * typography
   */

    --ff-staatliches: 'Staatliches', sans-serif;
    --ff-teko: 'Teko', sans-serif;

    /* treba clamp */
    --fs-1: 4rem;
    --fs-2: 3.5rem;
    --fs-3: 2.4rem;
    --fs-4: 2.2rem;
    --fs-5: 2rem;
    --fs-6: 1.8rem;
    --fs-7: 1.7rem;
    --fs-8: 1.5rem;
    --fs-9: 1.4rem;

    --fw-500: 500;
    --fw-700: 700;

    /**
   * spacing
   */

    --section-padding: 100px;

    /**
   * shadow
   */

    --shadow-1: 0px 2px 50px hsla(223, 40%, 76%, 0.3);
    --shadow-2: 0px -2px 12px hsl(252, 29%, 93%);
    --shadow-3: 0px 4px 4px hsla(231, 20%, 49%, 0.06);
    --shadow-4: 0px 15px 30px hsla(210, 30%, 32%, 0.05);
    --shadow-5: 0px 15px hsla(241, 62%, 34%, 0.04);

    /**
   * radius
   */

    --radius-8: 8px;
    --radius-10: 10px;
    --radius-15: 15px;
    --radius-20: 20px;

    /**
   * transition
   */

    --transition-1: 0.25s ease;
    --transition-2: 0.5s ease;
    --cubic-in: cubic-bezier(0.51, 0.03, 0.64, 0.28);
    --cubic-out: cubic-bezier(0.33, 0.85, 0.4, 0.96);

}

/*-----------------------------------*\
  Moderni CSS RESET
\*-----------------------------------*/

*,
*::before,
*::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

li {
    list-style: none;
}

a,
img,
span,
input,
button,
ion-icon {
    display: block;
}

a {
    color: inherit;
    text-decoration: none;
}

img,
canvas,
video,
iframe,
svg {
    max-width: 100%;
    height: auto;
}

input,
button {
    background: none;
    border: none;
    font: inherit;
}

input {
    width: 100%;
    font-size: var(--fs-6);
}

button {
    cursor: pointer;
}

ion-icon {
    pointer-events: none;
}

html {
    font-size: 10px;
    scroll-behavior: smooth;
}

body {
    background-color: var(--clr-secondary);
    font-family: var(--ff-teko);

    color: var(--clr-primary);
    font-size: 1.6rem;
    line-height: 1.75;
}

:focus-visible {
    outline-offset: 4px;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background-color: hsl(0, 0%, 98%);
}

::-webkit-scrollbar-thumb {
    background-color: hsl(0, 0%, 80%);
}

::-webkit-scrollbar-thumb:hover {
    background-color: hsl(0, 0%, 70%);
}


/*-----------------------------------*\
  UNIVERZALNI STILOVI - Utility klase
\*-----------------------------------*/
.hero-title {
    color: var(--clr-primary);
}

.hero-title .has-before {
    color: var(--clr-accent);
    text-shadow:
        -2px 0px 0px var(--clr-secondary),
        /* Outline to the left */
        2px 0px 0px var(--clr-secondary),
        /* Outline to the right */
        0px -2px 0px var(--clr-secondary),
        /* Outline above */
        0px 2px 0px var(--clr-secondary);
    /* Outline below */
    font-size: var(--fs-1);
    /* line-height: 1.25; */
    /* text-shadow: 2px 2px 2px var(--clr-secondary); */
    /* -webkit-text-stroke: 1px var(--clr-secondary); */
    /* font-weight: 700; */
}

.container {
    padding-inline: 15px;
}

.section {
    padding-block: var(--section-padding);
}

.h1,
.h2 {
    font-family: var(--ff-staatliches);
    font-weight: 500;
    /* letter-spacing: -2px; */
}

.h1 {
    font-size: var(--fs-2);
    line-height: 1.1;
}

.h2 {
    font-size: var(--fs-2);
    line-height: 1.2;
}

.h3 {
    font-size: var(--fs-3);
    line-height: 1.3;
    font-weight: var(--fw-500);
}

.has-before,
.has-after {
    position: relative;
    z-index: 1;
}

.has-before::before,
.has-after::after {
    content: "";
    position: absolute;
}

:is(.h1, .h2) .has-before {
    display: inline-block;
}

:is(.h2) .has-before::before {
    bottom: 8px;
    left: 0;
    width: 100%;
    height: 6px;
    background-color: var(--clr-primary);
    z-index: -1;
}

.btn {
    max-width: max-content;
    font-weight: var(--fw-700);
    height: 55px;
    display: flex;
    align-items: center;
    padding-inline: 25px;
    border-radius: var(--radius-10);
    overflow: hidden;
    transition: var(--transition-2);
}

.btn::before,
.btn::after {
    right: 0;
    width: 100%;
    height: 50%;
    transform: scaleX(0);
    /* background-color: var(--clr-secondary); */

    background-color: var(--clr-primary);
    z-index: -1;
    transition: transform var(--transition-1);
}

.btn::before {
    top: 0;
    transform-origin: left;
}

.btn::after {
    top: 50%;
    transform-origin: right;
}

.btn:is(:hover, :focus)::before,
.btn:is(:hover, :focus)::after {
    transform: scaleX(1);
}

.btn:is(:hover, :focus)::before {
    transform-origin: right;
}

.btn:is(:hover, :focus)::after {
    transform-origin: left;
}

.btn-primary {
    font-family: var(--ff-staatliches);
    font-size: var(--fs-3);
    background-color: var(--clr-accent);
    color: var(--clr-secondary);
}

.btn-primary:is(:hover, :focus) {
    /* color: var(--raisin-black-1); */
}

.btn-secondary {
    background-color: var(--clr-secondary);
    color: var(--clr-accent);
    gap: 15px;
}

.btn-secondary::before,
.btn-secondary::after {
    /* background-color: var(--sky-blue-crayola); */
}

.btn-secondary:is(:hover, :focus) {
    background-color: var(--clr-primary);
    color: var(--clr-secondary);
}



.social-list {
    display: flex;
    justify-content: center;
}

.w-100 {
    width: 100%;
}

.section-subtitle {
    color: var(--clr-accent);
    font-size: var(--fs-5);
    font-weight: var(--fw-500);
    line-height: 1.2;
}

.section-subtitle::before {
    position: static;
    width: 12px;
    height: 12px;
    background-color: var(--clr-accent);
    display: inline-block;
    border-radius: 50%;
    margin-inline-end: 10px;
}

.text-center {
    text-align: center;
}

.section-title {
    margin-block: 30px 50px;
}

.grid-list {
    display: grid;
    gap: 30px;
}

.img-holder {
    aspect-ratio: var(--width) / var(--height);
    background-color: var(--light-gray);
    overflow: hidden;
}

.img-cover {
    max-width: 100%;
    height: 100%;
    object-fit: cover;

    border-radius: 5px;
    border: 4px solid var(--clr-accent);
}


.has-bg-image {
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
}


/*-----------------------------------*\
  HEADER
\*-----------------------------------*/

.header .btn {
    margin-top: 20px;
    /* display: none; */
}

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: 15px 0 15px 0;
    background: var(--bg-header);
    /* padding-block: 25px; */
    transition: padding var(--transition-1);
    z-index: 4;
}

.header.active {
    background-color: var(--clr-secondary);
    padding-block: 15px;
    box-shadow: var(--shadow-1);
}

.header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.logo img {
    background: transparent;
    max-width: 150px;
}

.nav-open-btn {
    background-color: var(--clr-accent);
    color: var(--clr-secondary);
    font-size: 35px;
    padding: 10px;
    /* box-shadow: var(--shadow-2); */
    border-radius: var(--radius-10);
}

.navbar {
    position: fixed;
    top: 0;
    right: 0;
    background-color: var(--clr-secondary);
    color: var(--clr-primary);
    max-width: 300px;
    width: 100%;
    height: 100%;
    padding: 30px;
    z-index: 1;
    transform: translateX(100%);
    visibility: hidden;
    transition: 0.25s var(--cubic-in);
}

.navbar.active {
    transform: translateX(0);
    visibility: visible;
    transition: 0.5s var(--cubic-out);
}

.navbar .wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-block-end: 60px;
}

.navbar .logo {
    color: var(--clr-accent);
    font-weight: 700;
    font-size: var(--fs-4);
    text-transform: uppercase;

}

.nav-close-btn {
    color: var(--clr-accent);
    font-size: 30px;
    transition: var(--transition-1);
}

.nav-close-btn:is(:hover, :focus) {
    color: var(--clr-accent);
}

.navbar-item:not(:last-child) {
    border-block-end: 1px solid var(--clr-accent);
}

.navbar-link {
    font-size: var(--fs-9);
    font-weight: var(--fw-700);
    padding-block: 15px;
    text-transform: uppercase;
    transition: var(--transition-1);
}

.navbar-link:is(:hover, :focus) {
    color: var(--clr-accent);
}

.overlay {
    position: fixed;
    inset: 0;
    background-color: var(--raisin-black_90);
    transition: var(--transition-2);
    opacity: 0;
    pointer-events: none;
}

.overlay.active {
    opacity: 1;
    pointer-events: all;
}






/*-----------------------------------*\
  HERO sekcija
\*-----------------------------------*/

.hero {
    padding-block-start: calc(var(--section-padding) + 60px);
    background: url("../images/BG_01_mob.png") center center no-repeat;

    /* background-color: #195987; */
    /* var(--clr-primary); */
    background-size: cover;
}

.hero .container {
    display: grid;
    gap: 70px;
}

.hero-text {
    font-size: var(--fs-4);
    color: var(--clr-primary);
    margin-block: 30px 35px;
}

.hero-content :is(.wrapper, .hero-btn) {
    display: flex;
    align-items: center;
}

.hero-content .wrapper {
    flex-wrap: wrap;
    gap: 30px;
    margin-block-end: 30px;
}

.hero-btn {
    gap: 15px;
    color: var(--raisin-black-1);
    transition: var(--transition-1);
}

.hero-btn:is(:hover, :focus) {
    color: var(--clr-secondary);
}

.hero-btn ion-icon {
    font-size: 24px;
}

.hero-btn .span,
.btn-secondary .span {
    font-size: var(--fs-4);
    font-weight: var(--fw-500);
    line-height: 1.2;
}

.hero .social-link .span {
    display: none;
}

.hero .social-list {
    gap: 2px;
}

.hero .social-link {
    color: var(--color);
    padding: 12px 12px 2px 12px;
    box-shadow: var(--shadow-1);
    border: 2px solid var(--clr-secondary);
    border-radius: var(--radius-8);
    transition: var(--transition-2);
}

.hero .social-link:is(:hover, :focus) {
    background-color: var(--color);
    color: var(--white);
}


/*-----------------------------------*\
  #FEATURE
\*-----------------------------------*/
.feature {
    background-color: var(--clr-secondary);
}

.feature-content>* {
    text-align: center;
}

.feature .container,
.feature-list {
    display: grid;
    gap: 60px;
}

.feature-card .card-icon {
    background-color: hsla(var(--color), 0.15);
    font-size: 24px;
    max-width: max-content;
    padding: 18px;
    border-radius: 50%;
    margin-block-end: 20px;
    transition: var(--transition-2);
    margin: 0 auto;
}

.feature-card .card-icon ion-icon {
    color: hsl(var(--color));
    transition: var(--transition-1);
}

.feature-card .card-title {
    color: var(--clr-accent);
}

.card-text {
    color: var(--clr-primary);

    /* color: var(--cool-gray); */
    font-size: var(--fs-5);
    margin-block-start: 10px;
}

.feature-card:is(:hover, :focus) .card-icon {
    box-shadow: inset 0 0 0 30px hsla(var(--color), 0.9);
}

.feature-card:is(:hover, :focus) .card-icon ion-icon {
    color: var(--white);
}





/*-----------------------------------*\
  #gallery
\*-----------------------------------*/
.fluid-grid-container {
    --main: 100vw;
    /* first breakpoint*/
    --w1: 1920px;
    --n: 4;
    /* second breakpoint*/
    --w2: 768px;
    --m: 3;
    /* third breakpoint*/
    --w3: 480px;
    --p: 2;

    display: grid;
    grid-template-columns:
        repeat(auto-fill,
            minmax(clamp(clamp(clamp(100%/(var(--n) + 1) + 0.1%,
                            (var(--w1) - var(--main))*1000,
                            100%/(var(--m) + 1) + 0.1%),
                        (var(--w2) - var(--main))*1000,
                        100%/(var(--p) + 1) + 0.1%),
                    (var(--w3) - var(--main))*1000,
                    100%), 1fr));
    gap: 1em;
    /* border:1px solid; */
    /* margin: 0 auto; */
    margin: 0 1em;
    justify-content: center;
    align-items: normal;
    position: relative;
}

.fluid-grid-container>* {
    height: 100%;
    overflow: hidden;
}

.gallery {
    background-image: linear-gradient(to bottom, #195987, #3daceb);
}

.gallery .section-title {
    color: var(--clr-accent);
    margin-block: 20px 60px;
}

.filter-list {
    max-width: 90%;
    margin-inline: auto;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin-block-end: 70px;
}

.filter-btn {
    color: var(--cool-gray);
    font-size: var(--fs-9);
    font-weight: var(--fw-500);
    padding: 11px 20px;
    border-radius: var(--radius-8);
    transition: var(--transition-1);
}

.filter-btn:is(:hover, :focus) {
    color: var(--raisin-black-1);
}

.filter-btn.active {
    background-color: var(--white);
    color: var(--raisin-black-1);
    box-shadow: var(--shadow-4);
}

.gallery-card {
    position: relative;
    border-radius: var(--radius-15);
    overflow: hidden;
}

.gallery-card .card-banner img {
    transition: var(--transition-2);
}

.gallery-card:is(:hover, :focus-within) .card-banner img {
    transform: scale(1.1);
    filter: brightness(0.8);
}

.gallery-card .card-content {
    position: absolute;
    top: 50%;
    left: 20px;
    right: 20px;
    background-color: var(--clr-accent);
    border-radius: var(--radius-10);
    padding: 30px 20px;
    text-align: center;
    opacity: 0;
    transform: translateY(calc(-50% + 20px));
    transition: var(--transition-2);
}

.gallery-card .card-tag {
    color: var(--raisin-black-1);
    font-size: var(--fs-9);
}

.gallery-card:is(:hover, :focus-within) .card-content {
    opacity: 1;
    transform: translateY(-50%);
}

.container .full-image-view {
    display: none;
    position: fixed;
    text-align: center;
    top: 0;
    left: 0;
    width: 100%;
    /* max-width: 100vw; */
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 100;
}

.container .full-image-view span {
    position: absolute;
    top: 0;
    right: 10px;
    font-size: 60px;
    font-weight: 700;
    color: var(--clr-primary);
    cursor: pointer;
    z-index: 100;
}

#FullImage {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 5px solid var(--clr-primary);
    border-radius: 5px;
    max-width: 90%;
    /* adjust this value based on your design */
    max-height: 90vh;
    /* adjust this value based on your design */
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    /* or 'cover' depending on your preference */
}

/* #FullImage {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border: 5px solid var(--clr-primary);
    border-radius: 5px;
    max-width: 100%;
    object-fit: cover;
} */

/*-----------------------------------*\
  #NEWSLETTER
\*-----------------------------------*/

.newsletter {
    color: var(--white);
}

.newsletter .container {
    display: grid;
    gap: 50px;
}

.newsletter-content .section-title {
    text-align: center;
}

.newsletter-form {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.newsletter-banner {
    max-width: max-content;
    margin: 0 auto;
}

/* .newsletter-form .btn {
    background-color: var(--clr-primary);
    color: var(--clr-secondary);
} */

.email-field {
    background-color: var(--clr-primary);
    color: var(--clr-secondary);
    font-size: var(--fs-7);
    min-height: 60px;
    padding-inline: 20px;
    border-radius: var(--radius-8);
    margin-block-end: 20px;
    box-shadow: var(--shadow-5);
    outline: 3px solid transparent;
    outline-offset: 0;
    transition: var(--transition-1);
}

.email-field:focus {
    outline-color: var(--clr-accent);
}

.email-field::placeholder {
    color: inherit;
}





/*-----------------------------------*\
  #BLOG
\*-----------------------------------*/

.blog {
    background-color: var(--clr-secondary);
}

.blog .section-title {
    margin-block: 10px 30px;
    color: var(--clr-accent);
}

.blog-list {
    display: grid;
    gap: 40px;
}

.blog-card .card-banner {
    /* border-radius: var(--radius-20); */
    overflow: hidden;
    margin-block-end: 20px;
}

.blog-card.large .card-banner {
    margin-block-end: 40px;
}

.blog-card.large .card-title {
    font-size: var(--fs-2);
    line-height: 1.2;
    margin-block-end: 20px;
}

.blog-card .card-text {
    color: var(--clr-accent);
}

.blog-card .card-banner img {
    transition: var(--transition-2);
    max-height: 200px;
    margin: 0 auto;
}

.blog-card:is(:hover, :focus-within) .card-banner img {
    transform: scale(1.1);
}

.blog-card .wrapper {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 30px;
    margin-block-end: 20px;
}

/* .blog-card .tag  */
.tag {
    color: var(--clr-accent);
    font-size: var(--fs-9);
    font-weight: var(--fw-700);
    text-transform: uppercase;
    transition: var(--transition-1);
}

/* .blog-card .tag:is(:hover, :focus) {
    color: var(--raisin-black-1);
} */

.blog-card .publish-date {
    display: flex;
    align-items: center;
    gap: 10px;
    color: var(--clr-primary);
    font-weight: var(--fw-500);
    transition: var(--transition-1);
}

.blog-card .publish-date ion-icon {
    font-size: 18px;
    --ionicon-stroke-width: 40px;
}

.blog-card .publish-date:is(:hover, :focus) {
    color: var(--clr-accent);
}

.blog-card .card-title {
    color: var(--clr-primary);
    font-size: var(--fs-4);
    letter-spacing: -1px;
    transition: var(--transition-1);
}

.blog-card .card-title:is(:hover, :focus) {
    color: var(--clr-primary);
}





/*-----------------------------------*\
  #FOOTER
\*-----------------------------------*/

.footer {
    background-color: var(--clr-secondary);
    color: var(--clr-primary);
    font-size: var(--fs-6);
}

.footer-top {
    padding-block-end: 30px;
    display: grid;
    gap: 50px;
    text-align: center;
}

.footer-list-title {
    color: var(--white);
    font-size: var(--fs-4);
    font-weight: var(--fw-500);
    margin-block-end: 20px;
}

.footer-text {
    margin-block-end: 30px;
}

.footer .social-list {
    gap: 12px;
}

.footer-link {
    font-size: var(--fs-6);
    margin-block-start: 15px;
    transition: var(--transition-1);
}

.footer-link:is(:hover, :focus) {
    color: var(--clr-accent);
}

.footer-list li {
    padding: 1rem 0.5rem;
}

.footer-bottom {
    color: var(--clr-primary);
    font-size: var(--fs-6);
    padding-block: 40px;
    border-block-start: 2px solid var(--clr-primary);
    /* text-align: center; */
}

.copyright {
    text-align: center;
}

.copyright a {
    color: var(--clr-accent);
    display: inline;
}

.footer-bottom-list {
    display: flex;
    flex-wrap: wrap;
    gap: 5px 15px;
}

.footer-bottom-link {
    transition: var(--transition-1);
}

.footer-bottom-link:is(:hover, :focus) {
    color: var(--clr-accent);
}





/*-----------------------------------*\
  #BACK TO TOP
\*-----------------------------------*/

.back-top-btn {
    position: fixed;
    bottom: 20px;
    right: 30px;
    background-color: var(--clr-accent);
    color: var(--clr-secondary);
    font-size: 18px;
    padding: 16px;
    border-radius: var(--radius-8);
    z-index: 4;
    visibility: hidden;
    opacity: 0;
    transition: var(--transition-1);
}

.back-top-btn.active {
    visibility: visible;
    opacity: 1;
    transform: translateY(-10px);
}

.back-top-btn::after {
    bottom: -12px;
    right: 0;
    width: 100%;
    height: 10px;
    background-image: var(--gradient);
}





/*-----------------------------------*\
  #MEDIA QUERIES
\*-----------------------------------*/

/**
 * responsive for large than 575px screen
 */

@media (min-width: 575px) {

    /**
   * REUSED STYLE
   */

    .container {
        max-width: 540px;
        width: 100%;
        margin-inline: auto;
    }



    /**
   * HEADER
   */

    .header .container {
        max-width: unset;
    }




    /**
   * gallery
   */

    .gallery-card .card-content {
        max-width: max-content;
        width: calc(100% - 40px);
        left: 50%;
        right: auto;
        padding: 50px 80px;
        transform: translate(-50%, calc(-50% + 20px));
    }

    .gallery-card:is(:hover, :focus-within) .card-content {
        transform: translate(-50%, -50%);
    }

    .gallery-card .card-title {
        margin-block-end: 10px;
    }

}





/**
 * responsive for large than 768px screen
 */

@media (min-width: 768px) {

    .logo img {
        /* width: 10vw; */
        /* max-width: 150px; */
    }

    /**
   * CUSTOM PROPERTY
   */


    :root {

        /**
     * typography
     */

        --fs-1: 5.5rem;
        --fs-2: 3.8rem;
        --fs-7: 1.8rem;

        /**
     * spacing
     */

        --section-padding: 60px;
        --section-padding-top: 120px;
    }



    /**
   * REUSED STYLE
   */

    .container {
        max-width: 720px;
    }

    /* .btn {
        height: 60px;
    } */

    .grid-list {
        grid-template-columns: 1fr 1fr;
    }


    .hero {
        padding-block-start: calc(var(--section-padding-top) + 60px);

        /**
   * HERO
   */

        background: url("../images/BG_1.png") center center no-repeat;
        /* background-color: #195987; */
        /* var(--clr-primary); */
        background-size: cover;
        /* padding: 0; */
    }

    .hero .container {
        gap: 20px;
    }

    .hero .wrapper {
        gap: 50px;
        margin-block-end: 20px;
    }

    .hero .social-link .span {
        display: block;
        font-size: var(--fs-9);
        color: var(--raisin-black-1);
        font-weight: var(--fw-700);
        text-transform: uppercase;
        letter-spacing: 1px;
        transition: var(--transition-2);
    }

    .hero .social-link {
        display: flex;
        padding: 12px;
        align-items: center;
        gap: 15px;
        background: none;
        box-shadow: none;
    }

    .hero .social-link:is(:hover, :focus) {
        background: unset;
        color: var(--color);
    }

    .hero .social-link:is(:hover, :focus) .span {
        color: var(--color);
    }



    /**
   * FEATURE
   */

    .feature-banner {
        max-width: max-content;
    }

    .feature-list {
        gap: 30px;
    }

    .feature-card {
        display: flex;
        justify-content: flex-start;
        align-items: flex-start;
        gap: 25px;
    }

    .feature-card .card-icon {
        margin-block-end: 0;
    }



    /**
   * gallery
   */

    .gallery .grid-list>li:first-child {
        grid-column: 1 / 3;
    }



    /**
   * NEWSLETTER
   */

    .newsletter-form {
        position: relative;
    }

    .email-field {
        margin-block-end: 0;
    }

    /* .newsletter-form .btn {
        background-color: var(--clr-secondary);
        color: var(--clr-primary);
    } */

    .newsletter-form .btn-special {
        position: absolute;
        top: 5px;
        right: 5px;
        bottom: 5px;
        height: auto;
        padding-inline: 25px;
    }



    /**
   * BLOG
   */
    .card-content>* {
        margin: 0 auto;
    }

    .blog-card:not(.large) .card-banner {
        margin-block-end: 0;
        flex-shrink: 0;
    }

    .blog-card .card-title {
        --fs-4: 2.6rem;
    }

    /**
   * FOOTER
   */

    .footer-top {
        grid-template-columns: 1fr 1fr;
    }



    .footer-bottom-list {
        justify-content: center;
    }

}

@media screen and (max-width: 992px) {
    .h1.hero-title {
        text-align: center;
    }

    .promo-text {
        font-size: clamp(1.6rem, 2rem, 3rem);
        /* font-weight: 700; */
    }


}

/**
 * responsive for large than 992px screen
 */

@media (min-width: 992px) {

    .header .btn {
        margin-top: 0px;
        /* display: none; */
    }

    .hero-content>* {
        margin: 0;
    }

    .hero .social-list {
        /* justify-content: flex-start; */
        /* gap: 12px; */
    }

    /**
   * REUSED STYLE
   */

    .container {
        max-width: 960px;
    }

    /* 
    .btn {
        height: 70px;
    } */

    .grid-list {
        grid-template-columns: repeat(3, 1fr);
    }



    /**
   * HEADER
   */

    /* .header {
        padding-block-start: 47px;
    } */

    .nav-open-btn,
    .overlay,
    .navbar .wrapper {
        display: none;
    }

    .navbar,
    .navbar.active {
        all: unset;
    }

    .navbar-item:not(:last-child) {
        border: none;
    }

    .navbar-list {
        display: flex;
        gap: 30px;
    }

    .navbar-link {
        position: relative;
        color: var(--clr-primary);
        text-transform: capitalize;
        /* font-size: unset; */
        font-size: var(--fs-4);
        font-weight: var(--fw-500);
    }

    .navbar-link:is(:hover, :focus) {
        color: var(--clr-accent);
    }

    .navbar-link::before {
        content: "";
        position: absolute;
        bottom: 15px;
        left: 0;
        width: 0;
        height: 4px;
        border-radius: 5px;
        background-color: var(--clr-accent);
        transition: var(--transition-1);
    }

    .navbar-link:is(:hover, :focus)::before {
        width: 100%;
    }

    .header .btn {
        display: inline-flex;
    }

    .header .btn::before,
    .header .btn::after {
        /* background-color: var(--raisin-black-1); */
    }

    .header .btn:is(:hover, :focus) {
        /* color: var(--clr-accent); */
    }



    /**
   * HERO
   */

    .hero {
        /* padding-block-start: calc(var(--section-padding-top) + 30px); */
        /* background-image: linear-gradient(to right, var(--white) 79%, var(--mustard) 79%); */
        /* linear-gradient(to right, var(--mustard) 15%, var(--white) 15%, var(--white) 85%, var(--mustard) 85%); */
        overflow: hidden;
    }

    .hero .container {
        grid-template-columns: 1fr 1fr;
        gap: 40px;
        /* align-items: center; */
    }

    .hero .wrapper {
        flex-wrap: nowrap;
    }

    .hero .btn,
    .hero-btn .span {
        flex-shrink: 0;
    }

    .hero-banner {
        margin-inline-end: -140px;
    }



    /**
   * FEATURE
   */

    .feature .container {
        grid-template-columns: 1fr 1fr;
        gap: 30px;
    }



    /**
   * gallery
   */

    .filter-btn {
        --fs-9: 1.8rem;
        padding: 20px 25px;
    }


    .blog-card.large {
        padding-inline-end: 35px;
        border-inline-end: 2px solid var(--clr-primary);
    }

    /**
   * NEWSLETTER
   */

    .newsletter .container {
        grid-template-columns: 1fr 0.8fr;
        align-items: center;
    }

    .newsletter-banner {
        order: 1;
        /* margin-inline-start: auto; */
    }

    .newsletter-content p,
    h2 {
        color: var(--clr-primary);
    }

    .email-field {
        min-height: 60px;
        padding-inline: 40px;
    }

    .newsletter-form .btn-secondary {
        top: 10px;
        right: 10px;
        bottom: 10px;
    }



    /**
   * BLOG
   */

    .blog-list {
        grid-template-columns: 1fr 1fr;
        gap: 40px 70px;
    }

    .blog-list>li:first-child {
        grid-row: 1 / 4;
    }

    .blog-card:not(.large) .wrapper {
        gap: 10px;
        flex-wrap: nowrap;
        /* margin-block-end: 10px; */
    }

    .blog-card:not(.large) .publish-date {
        flex-shrink: 0;
        font-size: var(--fs-9);
        gap: 5px;
    }

    .blog-card .card-title {
        /* --fs-4: 1.8rem; */
    }



    /**
   * FOOTER
   */

    .footer-top {
        grid-template-columns: 1fr 0.5fr 0.5fr 0.9fr;
        padding-block: 60px;
    }

    .footer-bottom {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .copyright {
        margin-block-end: 0;
    }


}





/**
 * responsive for large than 1200px screen
 */

@media (min-width: 1200px) {

    /**
   * CUSTOM PROPERTY
   */

    :root {

        /**
     * typography
     */

        --fs-1: 5.5rem;
        --fs-2: 4.5rem;

    }



    /**
   * REUSED STYLE
   */

    .container {
        max-width: 1140px;
    }

    .section-title.text-center {
        max-width: 20ch;
        margin-inline: auto;
    }



    /**
   * HEADER
   */

    .header .container {
        padding-inline: 30px;
    }

    .navbar-list {
        gap: 50px;
    }



    /**
   * HERO
   */

    .hero-content {
        display: flex;
        flex-direction: column;
        /* margin-block-start: 50px; */
    }

    .hero-text {
        margin-block: 40px 45px;
    }

    /* .hero .wrapper {
        margin-block-end: auto;
    } */

    .hero-banner {
        margin-inline-end: -250px;
        min-width: max-content;
    }

    /**
   * gallery
   */

    .filter-btn {
        padding-inline: 40px;
    }



    /**
   * BLOG
   */

    .blog-list {
        column-gap: 35px;
    }

    .blog-card:not(.large) .publish-date {
        --fs-9: 1.6rem;
    }

    .blog-card:not(.large) .wrapper {
        gap: 25px;
        margin-block-end: 20px;
    }

    .blog-card .card-title {
        --fs-4: 2.4rem;
    }

}


/* dl dugmici */
.btn-list {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.btn-item-link {
    overflow: hidden;
    border: 3px solid var(--clr-primary);
    border-radius: var(--radius-10);
}

.btn-item-link:hover {
    /* border: 4px solid var(--); */
}

.btn-item-link .img {
    width: 136px;
}

/* .btn-item-link .img {
    width: 150px;
} */

/* yt responsive iframe */
.hero-banner {
    position: relative;
    width: 100%;
    max-width: 600px;
    margin: 0 auto;
    order: 0;
}

.hero-content {
    order: 1;
}

.hero-banner>* {
    margin: 0 auto;
    text-align: center;
}

.hero-banner iframe {
    width: 100%;
    /* height: 100%;  ovo baguje video!! */
}



/* FAQ */

.accordion {
    width: 80%;
}

.accordion input {
    display: none;
}

.accordion-item {
    --hue: 205;
    --title-color: hsl(var(--hue), 90%, 20%);
    /* --icon-color: hsl(var(--hue), 90%, 40%); */
    --bg: hsla(var(--hue), 100%, 50%, 0.2);

    position: relative;
    display: block;
    cursor: pointer;
    margin-bottom: 10px;
}

.accordion-head {
    background: var(--clr-secondary);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 20px;
    border: 1px solid transparent;
    border-radius: 10px;
    box-shadow: 0 5px 10px hsla(0, 0%, 0%, 0.05);
}

.accordion-head:hover {
    border-color: var(--icon-color);
}

.accordion-icon {
    font-size: 30px;
    margin-right: 15px;
    color: #40A9E5;
}

.accordion-title {
    font-size: 20px;
    font-weight: 500;
}

.accordion-body {
    height: 0px;
    overflow: hidden;
}

.accordion-text {
    background: var(--bg);
    border: 1px solid var(--bg);
    border-radius: 10px;
    margin-top: 5px;
    padding: 15px 20px;
    color: #0009;
    font-weight: 600;
}

.item-1 {
    color: #40A9E5;
}

.item-2 {
    color: #E2E52E;
}

.item-3 {
    color: #5BE500;
}

.item-4 {
    /* --hue: 100; */
    color: #E50000;
}

/*:is(#item-1, #item-2, #item-3, #item-4):checked+.accordion-item .accordion-body {*/
#item-1:checked + .accordion-item .accordion-body,
#item-2:checked + .accordion-item .accordion-body,
#item-3:checked + .accordion-item .accordion-body,
#item-4:checked + .accordion-item .accordion-body{
    min-height: fit-content;
    min-height: 250px;
}

/*:is(#item-1, #item-2, #item-3, #item-4):checked+.accordion-item .accordion-body {min-height:fit-content;}*/

/* contact */
.contact,
.question {
    min-height: 100%;
}

.contact-form,
.question-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    padding: 1rem;
    font-size: var(--fs-4);
}

.contact-form>input,
textarea,
.question-form>input,
textarea {
    font-family: var(--ff-teko);
    width: 80%;
    background-color: #99EDFF;
    border-radius: 5px;
    font-size: var(--fs-6);
}

.question-form>label,
h2,
.contact-form>label,
h2 {
    color: #99EDFF;
}

.accordion,
.contact-form,
.question-form {
    border-radius: 10px;
    margin: 0 auto;
}


.anim-wrapper {
    position: relative;
    margin: 0 auto;
}



#spriteCanvasHeader {
    height: 80px;
    position: relative;
    z-index: 1;
}

.marquee {
    background-color: var(--clr-accent);
    color: var(--clr-secondary);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 1rem;
    font-size: var(--fs-2);
    font-weight: 700;
}

@media screen and (min-width: 768px) {
    .marquee {
        flex-direction: row;
        gap: 1em;
    }
}

/* blog stilovi */
.posts-container .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(33rem, 1fr));
    gap: 1.5rem;
    align-items: flex-start;
    justify-content: center;
}

.posts-container .box-container .box {
    border: var(--border);
    box-shadow: var(--box-shadow);
    border-radius: .5rem;
    background-color: var(--white);
    padding: 2rem;
    overflow: hidden;
}

.posts-container .box-container .box .post-admin {
    display: flex;
    align-items: center;
    gap: 1.5rem;
    margin-bottom: 2rem;
}

.posts-container .box-container .box .post-admin i {
    text-align: center;
    height: 4.5rem;
    width: 5rem;
    line-height: 4.2rem;
    font-size: 2rem;
    border: var(--border);
    border-radius: .5rem;
    background-color: var(--light-bg);
    color: var(--black);
}

.posts-container .box-container .box .post-admin a {
    font-size: 2rem;
    color: var(--main-color);
}

.posts-container .box-container .box .post-admin a:hover {
    color: var(--black);
}

.posts-container .box-container .box .post-admin div {
    font-size: 1.5rem;
    margin-top: .2rem;
    color: var(--light-color);
}

.posts-container .box-container .box .post-image {
    width: 100%;
    border-radius: .5rem;
    margin-bottom: 2rem;
}

.posts-container .box-container .box .post-title {
    font-size: 2rem;
    color: var(--black);
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
    margin-bottom: 1rem;
}

.posts-container .box-container .box .post-content {
    font-size: 2rem;
    line-height: 1.5;
    padding: 0.5rem 0;
    color: var(--light-color);
    white-space: pre-line;
}

.post-box .post-content {
    padding: 1em 0;
}

.posts-container .box-container .box .post-content::after {
    content: '...';
}

.posts-container .box-container .box .post-cat {
    display: block;
    margin-top: 2rem;
    font-size: 1.7rem;
}

.posts-container .box-container .box .post-cat i {
    margin-right: .5rem;
    color: var(--light-color);
}

.posts-container .box-container .box .post-cat {
    color: var(--main-color);
}

.posts-container .box-container .box .post-cat:hover {
    color: var(--black);
}

.posts-container .box-container .box .icons {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    background-color: var(--light-bg);
    border-radius: .5rem;
    padding: 1.5rem 2rem;
    border: var(--border);
    margin-top: 2rem;
}

.posts-container .box-container .box .icons button {
    cursor: pointer;
}

.posts-container .box-container .box .icons i {
    margin-right: .5rem;
    font-size: 2rem;
    color: var(--light-color);
}

.posts-container .box-container .box .icons span {
    font-size: 2rem;
    color: var(--main-color);
}

.posts-container .box-container .box .icons *:hover {
    color: var(--black);
}

.heading {
    margin-bottom: 2rem;
    text-align: center;
    font-size: 4rem;
    color: var(--black);
    text-transform: capitalize;
}

.post-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    color: var(--clr-primary);

    border: var(--border);
    box-shadow: var(--box-shadow);
    border-radius: .5rem;
    padding: 2rem;
    overflow: hidden;
}

.post-box .post-admin {
    display: flex;
    align-items: center;
    gap: 1.5rem;
    margin-bottom: 2rem;
}


.post-image {
    display: block;
    width: 100%;
    height: 18rem;
    object-fit: cover;
}

.post-box .post-full-image {
    display: block;
    max-width: 100%;
    height: auto;
    object-fit: cover;
}

.post-cat {
    display: flex;

    margin-top: 2rem;
    font-size: 1.7em;
}

.post-cat i {
    margin-right: .5rem;
    color: var(--clr-primary);
}

.post-cat {
    color: var(--clr-secondary);
}

.post-cat:hover {
    color: var(--black);
}

.head-post {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1em;
    margin: 0 1rem;
}


hr {
    height: 2px;
    background-color: #99EDFF;
    border: none;
}

.btn-special {
    background-color: var(--clr-accent);
    color: var(--clr-secondary)
}

.btn-special:hover {}